Eclipse Platform Release 3.7

## org.eclipse.ui.wizards
Interface IWizardCategory

    public interface IWizardCategory

A wizard category may contain other categories or wizard elements.

This interface is not intended to be implemented by clients.

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IWizardCategory` `findCategory(IPath path)` Returns the category child object corresponding to the passed path (relative to this object), or `null` if such an object could not be found.
`IWizardDescriptor` `findWizard(String id)` Find a wizard that has the provided id.
`IWizardCategory[]` `getCategories()` Return the immediate child categories.
`String` `getId()` Return the identifier of this category.
`String` `getLabel()` Return the label for this category.
`IWizardCategory` `getParent()` Return the parent category.
`IPath` `getPath()` Return this wizards path.
`IWizardDescriptor[]` `getWizards()` Return the wizards in this category, minus the wizards which failed the Expressions check.

Method Detail

### findCategory

    IWizardCategory findCategory(IPath path)

  Returns the category child object corresponding to the passed path (relative to this object), or `null` if such an object could not be found. The segments of this path should correspond to category ids.

  Parameters:
    `path` - the search path
  Returns:
    the category or `null`

### findWizard

    IWizardDescriptor findWizard(String id)

  Find a wizard that has the provided id. This will search recursivly over this categories children.

  Parameters:
    `id` - the id to search for
  Returns:
    the wizard or `null`

### getCategories

    IWizardCategory[] getCategories()

  Return the immediate child categories.

  Returns:
    the child categories. Never `null`.

### getId

    String getId()

  Return the identifier of this category.

  Returns:
    the identifier of this category

### getLabel

    String getLabel()

  Return the label for this category.

  Returns:
    the label for this category

### getParent

    IWizardCategory getParent()

  Return the parent category.

  Returns:
    the parent category. May be `null`.

### getPath

    IPath getPath()

  Return this wizards path. The segments of this path will correspond to category ids.

  Returns:
    the path

### getWizards

    IWizardDescriptor[] getWizards()

  Return the wizards in this category, minus the wizards which failed the Expressions check.

  Returns:
    the wizards in this category. Never `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.